@echo off
chcp 1251 >nul
pushd
chdir /d %1
set exename=%~2
if %2 == "%exename:_unittest=%" (
make TARGET=debug debug/%~2
) else (
make -f UnitTests TARGET=debug debug/%~2
)
if errorlevel 1 goto :error
echo ^>Запуск отладчика...
gdb --quiet -x debug\debug.ini -f --args debug\%~2 %~3
:error
echo ^>Код завершения: %ERRORLEVEL%
popd
